summaryrefslogtreecommitdiff
path: root/graphics/ketcindy/forLinux
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
committerNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
commite0c6872cf40896c7be36b11dcc744620f10adf1d (patch)
tree60335e10d2f4354b0674ec22d7b53f0f8abee672 /graphics/ketcindy/forLinux
Initial commit
Diffstat (limited to 'graphics/ketcindy/forLinux')
-rw-r--r--graphics/ketcindy/forLinux/ReadmeLinuxE.pdfbin0 -> 20509 bytes
-rw-r--r--graphics/ketcindy/forLinux/ReadmeLinuxJ.pdfbin0 -> 52816 bytes
-rw-r--r--graphics/ketcindy/forLinux/setcindyetc.sh12
-rw-r--r--graphics/ketcindy/forLinux/setketcindy.sh124
-rwxr-xr-xgraphics/ketcindy/forLinux/setwork.sh41
5 files changed, 177 insertions, 0 deletions
diff --git a/graphics/ketcindy/forLinux/ReadmeLinuxE.pdf b/graphics/ketcindy/forLinux/ReadmeLinuxE.pdf
new file mode 100644
index 0000000000..d5a0c04e7f
--- /dev/null
+++ b/graphics/ketcindy/forLinux/ReadmeLinuxE.pdf
Binary files differ
diff --git a/graphics/ketcindy/forLinux/ReadmeLinuxJ.pdf b/graphics/ketcindy/forLinux/ReadmeLinuxJ.pdf
new file mode 100644
index 0000000000..88698bc8bd
--- /dev/null
+++ b/graphics/ketcindy/forLinux/ReadmeLinuxJ.pdf
Binary files differ
diff --git a/graphics/ketcindy/forLinux/setcindyetc.sh b/graphics/ketcindy/forLinux/setcindyetc.sh
new file mode 100644
index 0000000000..bd138a9ff1
--- /dev/null
+++ b/graphics/ketcindy/forLinux/setcindyetc.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+# 20180313
+
+#Edit followings if necessay
+cindyinstall=~/
+sudo apt install openjdk-8-jre
+sudo update-alternatives --config java
+sudo bash ${cindyinstall}Cinderella_unix_2_8.sh
+sudo apt install r-base maxima
+sudo apt install evince
+sleep 1
+exit 0 \ No newline at end of file
diff --git a/graphics/ketcindy/forLinux/setketcindy.sh b/graphics/ketcindy/forLinux/setketcindy.sh
new file mode 100644
index 0000000000..79cc1e491d
--- /dev/null
+++ b/graphics/ketcindy/forLinux/setketcindy.sh
@@ -0,0 +1,124 @@
+#!/bin/sh
+# 20180616
+
+# Edit and uncomment the following lines if necessary
+texpath=/usr/share/texlive
+texbinpath=/usr/bin
+
+kettex=0
+if [ ${kettex} -eq 0 ]; then
+ texpath=/opt/kettex/texlive
+ texbinpath=/opt/kettex/texlive/bin/x86_64-linux
+fi
+
+#ketsrc=~/Desktop/ketcindyfolder
+cindyplug=/usr/local/cinderella/Plugins
+homehead=/home
+
+ketcindyscripts=${texpath}/texmf-dist/scripts/ketcindy
+ketcindydoc=${texpath}/texmf-dist/doc/support/ketcindy
+ketcindystyle=${texpath}/texmf-dist/tex/latex/ketcindy
+
+cd `dirname $0`
+if [ -e ../ketcindyfolder ]; then
+ cd ../ketcindyfolder
+fi
+
+echo texpath=${texpath}
+echo texbinpath=${texbinpath}
+echo cinderella plugin=${cindyplug}
+echo home=${homehead}
+read -p 'Are the above paths OK? (y/n) : ' ans
+if [ ${ans} = "n" ]; then
+ echo Edit paths
+ sleep 2
+ exit 0
+fi
+
+echo copying scripts
+sudo cp -r -p scripts/ ${ketcindyscripts}/
+if [ $? -gt 0 ]; then
+ echo Error $?
+ sleep 5
+else
+ echo "scripts copied to "${ketcindyscripts}
+fi
+sudo cp -r -p doc/ ${ketcindydoc}/
+if [ $? -gt 0 ]; then
+ echo Error $?
+ sleep 5
+else
+ echo "doc copied to "${ketcindydoc}
+fi
+sudo cp -r -p style/ ${ketcindystyle}/
+if [ $? -gt 0 ]; then
+ echo Error $?
+ sleep 5
+else
+ echo "styles copied to "${ketcindystyle}
+ sudo ${texbinpath}/mktexlsr
+fi
+cd ${cindyplug}
+if [ -e KetCindyPlugin.jar ]; then
+ sudo rm KetCindyPlugin.jar
+fi
+cd ${ketcindyscripts}
+cp -p ketjava/KetCindyPlugin.jar ${cindyplug}
+echo "KetCindyPlugin.jar copied to Cinderella"
+
+# 20190616from
+cd ${cindyplug}
+remake="y"
+if [ -e ketcindy.ini ]; then
+ echo "Contentes of ketcindy.ini : "
+ echo ""
+ cat ketcindy.ini
+ echo ""
+ read -p 'Do you want to remake ketcindy.ini? (y/n) : ' remake
+fi
+if [ ${remake} = "y" ]; then
+ echo "ketcindy.ini will be made"
+else
+ echo "finished"
+ sleep 1
+ exit 0
+fi
+# 20190616to
+
+if [ -e ketcindy.ini ]; then
+ sudo rm ketcindy.ini
+fi
+echo "PathThead=\"${texbinpath}/\";" > ketcindy.ini
+echo "Dirhead=\"${ketcindyscripts}\";" >> ketcindy.ini
+echo "Homehead=\"${homehead}\";" >> ketcindy.ini
+echo "setdirectory(Dirhead);" >> ketcindy.ini
+echo "import(\"setketcindy.txt\");" >> ketcindy.ini
+echo "import(\"ketoutset.txt\");" >> ketcindy.ini
+
+echo "Choose TeX with the 1st(+2nd) character"
+read -p 'p=platex, u=uplatex, l=latex, x=xelatex, pd=pdflatex, lu=lualatex:' tex
+if [ ${tex} = "p" ]; then
+ tex="platex"
+fi
+if [ ${tex} = "u" ]; then
+ tex="uplatex"
+fi
+if [ ${tex} = "l" ]; then
+ tex="latex"
+fi
+if [ ${tex} = "x" ]; then
+ tex="xelatex"
+fi
+if [ ${tex} = "pd" ]; then
+ tex="pdflatex"
+fi
+if [ ${tex} = "lu" ]; then
+ tex="lualatex"
+fi
+echo "PathT=PathThead+\"${tex}\";" >> ketcindy.ini
+echo "Pathpdf=\"${pathpdf}\";" >> ketcindy.ini
+echo "Mackc=\"bash\";" >> ketcindy.ini
+
+echo "ketcindy.ini generated(updated)"
+sleep 1
+exit 0
diff --git a/graphics/ketcindy/forLinux/setwork.sh b/graphics/ketcindy/forLinux/setwork.sh
new file mode 100755
index 0000000000..276da924eb
--- /dev/null
+++ b/graphics/ketcindy/forLinux/setwork.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+# 20190614
+
+# Edit and uncomment the following line if necessary
+pathpdf=evince
+home=~
+dist=${home}/ketcindywork # work folder of ketcindy
+
+cd `dirname $0`
+if [ -e ../ketcindyfolder ]; then
+ cd ../ketcindyfolder
+fi
+echo `pwd`/work will be copied
+changesetting=/.ketcindy.conf #181017
+cp -r -p work/ ${dist}/
+if [ $? -gt 0 ]; then
+ echo Error:$?
+ sleep 5
+else
+ echo Workfolder has been generated as ${dist}
+ echo "This folder can be moved to any place" ##180913
+fi
+read -p 'Language (j/e) : ' lang
+cd doc/ketmanual
+if [ ${lang} = "e" ]; then
+ cp -p KeTCindyReferenceE.pdf ${dist}
+ cp -p KeTCindyGuideE.pdf ${dist}
+ cp -p KeTpicStyleE.pdf ${dist}
+else
+ cp -p KeTCindyReferenceJ.pdf ${dist}
+ cp -p KeTCindyGuideJ.pdf ${dist}
+ cp -p KeTpicStyleJ.pdf ${dist}
+fi
+
+echo generating ${home}/${changesetting}
+echo // Re-setting PathT,PathR,Pathpdf,PathM,PathAd >${home}${changesetting}
+echo "PathT=PathThead+\"${tex}\";" >>${home}${changesetting}
+echo "Pathpdf=\"${pathpdf}\";" >> ${home}${changesetting}
+echo "Mackc=\"bash\";" >>${home}${changesetting}
+sleep 1
+exit 0 \ No newline at end of file